<%
  Sub Jmail(email,topic,mailbody)
	On error resume next
	dim JMail
	Set JMail=Server.CreateObject("JMail.SMTPMail")
	JMail.Logging=True
	JMail.Charset="gb2312"
	JMail.ContentType = "text/html"
	JMail.ServerAddress="61.151.248.31"
	JMail.Sender="saiwai@jiayuanchina.com"
	JMail.Subject=topic
	JMail.Body=mailbody
	JMail.AddRecipient email
	JMail.Priority=1
	JMail.MailServerUserName = "saiwai" '您的邮件服务器登录名
	JMail.MailServerPassword = "123" '登录密码
	JMail.Execute 
	Set JMail=nothing 
	If err then 
	  SendMail=err.description
	  err.clear
	Else
	  SendMail="OK"
	End if
  End Sub

	sub Cdonts(email,topic,mailbody)
	on error resume next
	dim  objCDOMail
	Set objCDOMail = Server.CreateObject("CDONTS.NewMail")
	objCDOMail.From =Forum_info(5)
	objCDOMail.To =email
	objCDOMail.Subject =topic
	objCDOMail.BodyFormat = 0 
	objCDOMail.MailFormat = 0 
	objCDOMail.Body =mailbody
	objCDOMail.Send
	Set objCDOMail = Nothing
	if err then 
	SendMail=err.description
	err.clear
	else
	SendMail="OK"
	end if
	end sub

	sub aspemail(email,topic,mailbody)
	on error resume next
	dim mailer,recipient,sender,subject,message
	dim mailserver,result
	Set mailer=Server.CreateObject("ASPMAIL.jspMailCtrl.1")  
	recipient=email
	sender=Forum_info(5)
	subject=topic
	message=mailbody
	mailserver=Forum_info(4)
	result=mailer.SendMail(mailserver, recipient, sender, subject, message)
	if err then 
	SendMail=err.description
	err.clear
	else
	SendMail="OK"
	end if
	end sub

	Function EmailBody(body)
	strBody=strBody &"<style>A:visited {	TEXT-DECORATION: none	}"
	strBody=strBody &"A:active  {	TEXT-DECORATION: none	}"
	strBody=strBody &"A:hover   {	TEXT-DECORATION: underline overline	}"
	strBody=strBody &"A:link 	  {	text-decoration: none;}"
	strBody=strBody &"A:visited {	text-decoration: none;}"
	strBody=strBody &"A:active  {	TEXT-DECORATION: none;}"
	strBody=strBody &"A:hover   {	TEXT-DECORATION: underline overline}"
	strBody=strBody &"BODY   {	FONT-FAMILY: 宋体; FONT-SIZE: 9pt;}"
	strBody=strBody &"TD	   {	FONT-FAMILY: 宋体; FONT-SIZE: 9pt	}</style>"
	strBody=strBody &"<TABLE border=0 width='95%' align=center><TBODY><TR>"
	strBody=strBody &"<TD valign=middle align=top>"
	strBody=strBody & body
	strBody=strBody &"</TD></TR></TBODY></TABLE><br><hr width=95% size=1>"
	strBody=strBody & Copyright & " &nbsp;&nbsp; " & Version
	EmailBody=strBody
	End Function
%>
